package com.yizhi.xxl.job.executor.filter;

import javax.servlet.*;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import java.io.IOException;

public class DisableTraceFilter implements Filter {
 
    @Override
    public void doFilter(ServletRequest request, ServletResponse response, FilterChain chain)
            throws IOException, ServletException {
        if (request instanceof HttpServletRequest) {
            HttpServletRequest httpRequest = (HttpServletRequest) request;
            if ("TRACE".equalsIgnoreCase(httpRequest.getMethod())||"TRACK".equalsIgnoreCase(httpRequest.getMethod())) {
                HttpServletResponse httpResponse = (HttpServletResponse) response;
                httpResponse.sendError(HttpServletResponse.SC_METHOD_NOT_ALLOWED);
                return;
            }
        }
        chain.doFilter(request, response);
    }
}